View Issue Details

IDProjectCategoryView StatusLast Update
0004170Slicer4Module OpenIGTLinkIFpublic2017-08-14 09:40
Reporterleochan2009Assigned Totokuda 
PriorityhighSeveritymajorReproducibilityalways
Status resolvedResolutionno change required 
PlatformMacOSOS X EI CaptianOS Version10.11.4
Product Version 
Target VersionFixed in VersionSlicer 4.7.0 
Summary0004170: ImageMessage2 m_Body Pointer not set
Description

When the message is packed, m_Body pointer is not set, this is error prone when the getPackBodyPointer is called.
For example, in BindMessage class, the AppendChildMessage() actually use getPackBodyPointer to build up the bind message body.
When imageMessage2 is appended, the pointer is empty.

TagsNo tags attached.

Activities

leochan2009

leochan2009

2016-04-14 14:35

developer   ~0013858

This bug is temporary fixed by assigning m_Body after the image assignment.
See below:

void ImageMessage2::SetScalarPointer(void * p)
{
if (this->m_SelfAllocatedImage && this->m_Image)
{
this->m_SelfAllocatedImage = 0;
this->m_ImageSize = 0;

delete [] this->m_Image;
}

this->m_Image = (unsigned char *) p;
for (int i = 0;i<IGTL_IMAGE_HEADER_SIZE; i++)
{
this->m_Body[i] = m_ImageHeader[i];
}
for (int i = 0;i<GetImageSize(); i++)
{
this->m_Body[i+IGTL_IMAGE_HEADER_SIZE] = m_Image[i];
}
}

lassoan

lassoan

2017-06-13 00:15

developer   ~0014795

Is this still an issue?

jcfr

jcfr

2017-08-14 09:40

administrator   ~0015049

Hi,

The version of OpenIGTLink used in Slicer is recent (from June 28), if this is still a problem, consider submitting a pull request on https://github.com/openigtlink/OpenIGTLink

Thanks

Issue History

Date Modified Username Field Change
2016-04-14 14:29 leochan2009 New Issue
2016-04-14 14:29 leochan2009 Status new => assigned
2016-04-14 14:29 leochan2009 Assigned To => tokuda
2016-04-14 14:35 leochan2009 Note Added: 0013858
2017-06-13 00:15 lassoan Note Added: 0014795
2017-08-14 09:40 jcfr Status assigned => resolved
2017-08-14 09:40 jcfr Resolution open => no change required
2017-08-14 09:40 jcfr Fixed in Version => Slicer 4.7.0
2017-08-14 09:40 jcfr Note Added: 0015049